Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 670446

Summary: dev-qt/qtwebkit-5.212.0_pre20180120: ppc stabilization request
Product: Gentoo Linux Reporter: ernsteiswuerfel <erhard_f>
Component: StabilizationAssignee: Qt Bug Alias <qt>
Status: RESOLVED WONTFIX    
Severity: normal Keywords: STABLEREQ
Priority: Normal Flags: stable-bot: sanity-check-
Version: unspecified   
Hardware: PPC   
OS: Linux   
Whiteboard:
Package list:
dev-qt/qtwebkit-5.212.0_pre20180120 ppc
Runtime testing required: ---

Description ernsteiswuerfel archtester 2018-11-05 22:41:56 UTC
Needed for bug #664566 on ppc.
Comment 1 Andreas Sturmlechner gentoo-dev 2018-11-05 22:45:10 UTC
How exactly is this needed for qt-5.11.1-stable?
Comment 2 Stabilization helper bot gentoo-dev 2018-11-06 08:02:27 UTC
An automated check of this bug failed - repoman reported dependency errors (21 lines truncated): 

> dependency.bad dev-qt/qtwebkit/qtwebkit-5.212.0_pre20180120.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/17.0) ['>=dev-qt/qtsensors-5.9.1:5', '>=dev-qt/qtwebchannel-5.9.1:5[qml]']
> dependency.bad dev-qt/qtwebkit/qtwebkit-5.212.0_pre20180120.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/17.0) ['>=dev-qt/qtsensors-5.9.1:5', '>=dev-qt/qtwebchannel-5.9.1:5[qml]']
> dependency.bad dev-qt/qtwebkit/qtwebkit-5.212.0_pre20180120.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/17.0/desktop) ['>=dev-qt/qtsensors-5.9.1:5', '>=dev-qt/qtwebchannel-5.9.1:5[qml]']
Comment 3 ernsteiswuerfel archtester 2018-11-06 15:01:12 UTC
(In reply to Andreas Sturmlechner from comment #1)
> How exactly is this needed for qt-5.11.1-stable?

It's a depencency of USE='declarative webkit' =dev-qt/designer-5.11.1.
Comment 4 Davide Pesavento gentoo-dev 2018-11-06 17:03:13 UTC
I suggest a package.use.stable.mask for dev-qt/designer on ppc then, rather than stabilizing qtwebkit.
Comment 5 ernsteiswuerfel archtester 2018-11-06 18:09:03 UTC
(In reply to Davide Pesavento from comment #4)
> I suggest a package.use.stable.mask for dev-qt/designer on ppc then, rather
> than stabilizing qtwebkit.

If it's like that for the other 'exotic archs' like arm/arm64/hppa too, that would be a good solution, yes. ;)

The other ppc-rdep ppc I've come so far is dev-qt/assistant, which is not keyworded yet for ppc.
Comment 6 Andreas Sturmlechner gentoo-dev 2018-11-17 17:41:59 UTC
(In reply to Davide Pesavento from comment #4)
> I suggest a package.use.stable.mask for dev-qt/designer on ppc then, rather
> than stabilizing qtwebkit.

This is already the case.

profiles/arch/powerpc/ppc32/package.use.stable.mask:

# Andreas Sturmlechner <asturm@gentoo.org> (03 Jun 2018)
# dev-qt/qtwebkit:5 is not stable.
dev-qt/designer webkit